/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pe.siso.horario.Services;

import java.util.ArrayList;
import pe.siso.horario.Beans.Merito;
import pe.siso.horario.DAO.DAOFactory;
import pe.siso.horario.DAO.MeritoDAO;

/**
 *
 * @author sistem02user
 */
public class MeritoServices {
    DAOFactory fabrica = DAOFactory.getDAOFactory(DAOFactory.MYSQL);
    MeritoDAO objMeritoDAO= fabrica.getMeritoDAO();
    
    public Merito consultarFichaEvaluacion (String codigoDocente,String codigoPeriodo, String codigoPeriodoAcademico){
        Merito merito = new Merito();
        try {
            merito = objMeritoDAO.consultarFichaEvaluacion(codigoDocente, codigoPeriodo, codigoPeriodoAcademico);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return merito;
    }
    public int cantidad(String codigoPeriodo, String codigoPeriodoAcademico){
        int cantidad = 0;
        try {
            cantidad = objMeritoDAO.cantidad(codigoPeriodo, codigoPeriodoAcademico);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return cantidad;
    }
    
    public ArrayList<Merito> listaColumnaPeriodo(String codigoPeriodoAcademico) {
        ArrayList<Merito> lista = null;
        try {
            lista = objMeritoDAO.listaColumnaPeriodo(codigoPeriodoAcademico);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return lista ;
    }
    
    public ArrayList<Merito> listaTablaMerito(String codigoPeriodoAcademico){
        ArrayList<Merito> lista = null;
        try {
            lista = objMeritoDAO.listaTablaMerito(codigoPeriodoAcademico);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return lista ;
    }
    
    public ArrayList<Merito> listaTablaEvaluacionDocente(String codigoPlana, String codigoPeriodo, String codigoEncuesta){
        ArrayList<Merito> lista = null;
        try {
            lista = objMeritoDAO.listaTablaEvaluacionDocente(codigoPlana, codigoPeriodo,codigoEncuesta);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return lista ;
    }
    
    public int registrarNotaTablaEvaluacion(String codigoDocente, String nombreDocente, String codigoPlana, String codigoPeriodoAcademico, String notaEncuesta, String notaPlana, String notaExamen, String promedio, String codigoEncuesta,String puesto,String observacion){
        int dato = 0;
        try {
            dato = objMeritoDAO.registrarNotaTablaEvaluacion(codigoDocente, nombreDocente, codigoPlana, codigoPeriodoAcademico, notaEncuesta, notaPlana, notaExamen, promedio,codigoEncuesta,puesto,observacion);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return dato;
    }
    public int registrarPuesto(String codDocente,String codPlana,String codEncuesta,String puesto){
        int dato = 0;
        try {
            dato = objMeritoDAO.registrarPuesto(codDocente,codPlana,codEncuesta,puesto);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return dato;
    }
    public int registrarObservacion(String codDocente,String codPlana,String codEncuesta,String observacion){
        int dato = 0;
        try {
            dato = objMeritoDAO.registrarObservacion(codDocente,codPlana,codEncuesta,observacion);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return dato;
    }
}
